You are here

Testing CLAP

Hi.

I was curious to test CLAP and downloaded DIVA for that.
But it doesn't show in the PlugIn GUI.

I installed DIVA by the use of its install script.
Then I added $HOME/.clap to the plugin paths.

What went wrong on my side?

Thanks.

Forums: 
rncbc's picture

hi,

it was only a few hours ago that CLAP support has been pushed to Qtractor git develop and master branches (qtractor >= 0.9.26.45git.456f88);

OTOH, is that the beta public preview version of Diva with CLAP support (>= Diva_145_preview_13207, dated as of 2022-06-15) ?
AFAICT, the install.sh script actually installs the CLAP plugin into ~/.clap/u-he ... do you see anything there?

Note that, by default, Qtractor will search for CLAP plugins first under ~/.clap, then /usr/local/lib*/clap and /usr/lib*/clap, so there wouldn't be a need to make it so for yourself alone.

are you already there in both accounts? I guess not, but I might be wrong, you tell me :)
seeya

TAERSH's picture

Yes, it is exactly that version of DIVA.
Yes, all files are installed. Everything seems to be right.

rncbc's picture

you still don't see it?

it shows and runs here alright:

currently on latest git head (qtractor 0.9.26.64git.d0a0ea)

byee

File attachments: 
TAERSH's picture

I still don't see it.
It doesn't even show up for VST and also not for VST3.
I have these UHE plugins installed:

/root/.vst3/u-he/Podolski.64.vst3
/root/.vst3/u-he/Protoverb.64.vst3
/root/.vst3/u-he/Repro.64.vst3
/root/.vst3/u-he/TripleCheese.64.vst3
/root/.vst3/u-he/TyrellN6.64.vst3
/root/.vst3/u-he/Zebra2.64.vst3

None of them are showing up for VST3.
Only the VST version is visible.

I'm already using 0.9.26.64git.d0a0ea.

Edit:

I have Surge VST3 Synthesizer installed.
It shows up for VST3 and works in Qtractor.

rncbc's picture

what system or linux distro are you running? where did you get the qtractor package or binary exactly?

on the other hand, why are you installing the u-he plugins to root? are you you doing it via `sudo install.sh`? if yes, please don't! the install script is supposed to run on a regular user environment.

TAERSH's picture

I'm running my own build of a Linux OS based on Puppy Linux.
This OS is absolutely unique - last but not least by the lots of programs I developed over the years.
In my Operating System there is no USER accounts, only ROOT.
I don't like running as USER, that's why I was creating my own Linux OS.
I'm the BOSS on my computer, nobody else has access to this computer, so there's simply no need to be a USER in my OS.

The Qtractor binary is directly downloaded from your LaunchPad account.

I installed DIVA by the script's option --as-root.

rncbc's picture

The Qtractor binary is directly downloaded from your LaunchPad account.

and which ppa series in particular? bionic, focal or jammy? let you know that the oldest bionic is probably not supported for newer plugins, as they might not even load at all, a symptom you seem to have.

TAERSH's picture

It's based on Bionic 18.04.
I'm not in the need to have CLAP plugins and I'm not going to change the OS just to have them. ;)

Thanks.

rncbc's picture

so that explains why the u-he beta preview plugins not showing at all--they don't even dlopen() on older systems

byee

Puberty simulator... LOL And does anyone else find it *interesting* that this plug-in format shares the same name as a sexually transmitted disease? :) :) :)

Pages

Add new comment